Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network167.89.112.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
Network address
167.89.112.0
Broadcast address
167.89.115.255
First usable
167.89.112.1
Last usable
167.89.115.254
Usable hosts
1,022 (1,024 less the network and broadcast addresses)
Subnet mask
255.255.252.0
Wildcard mask
0.0.3.255 (Cisco ACLs, OSPF)
Prefix length
/22
Type
Public public
Old class
B (default /16)
As numbers
Hex A7597000 · Integer 2807656448 to 2807657471
Reverse DNS zones
112.89.167.in-addr.arpa
113.89.167.in-addr.arpa
114.89.167.in-addr.arpa
115.89.167.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10100111.01011001.01110000.00000000167.89.112.0
Subnet mask11111111.11111111.11111100.00000000255.255.252.0
Network10100111.01011001.01110000.00000000167.89.112.0
Broadcast10100111.01011001.01110011.11111111167.89.115.255
Split into smaller subnets/32

167.89.112.0/22 makes 1,024 subnets of /32; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1167.89.112.0/32167.89.112.0 to 167.89.112.0—1
2167.89.112.1/32167.89.112.1 to 167.89.112.1—1
3167.89.112.2/32167.89.112.2 to 167.89.112.2—1
4167.89.112.3/32167.89.112.3 to 167.89.112.3—1
5167.89.112.4/32167.89.112.4 to 167.89.112.4—1
6167.89.112.5/32167.89.112.5 to 167.89.112.5—1
7167.89.112.6/32167.89.112.6 to 167.89.112.6—1
8167.89.112.7/32167.89.112.7 to 167.89.112.7—1
9167.89.112.8/32167.89.112.8 to 167.89.112.8—1
10167.89.112.9/32167.89.112.9 to 167.89.112.9—1
11167.89.112.10/32167.89.112.10 to 167.89.112.10—1
12167.89.112.11/32167.89.112.11 to 167.89.112.11—1
13167.89.112.12/32167.89.112.12 to 167.89.112.12—1
14167.89.112.13/32167.89.112.13 to 167.89.112.13—1
15167.89.112.14/32167.89.112.14 to 167.89.112.14—1
16167.89.112.15/32167.89.112.15 to 167.89.112.15—1
17167.89.112.16/32167.89.112.16 to 167.89.112.16—1
18167.89.112.17/32167.89.112.17 to 167.89.112.17—1
19167.89.112.18/32167.89.112.18 to 167.89.112.18—1
20167.89.112.19/32167.89.112.19 to 167.89.112.19—1
21167.89.112.20/32167.89.112.20 to 167.89.112.20—1
22167.89.112.21/32167.89.112.21 to 167.89.112.21—1
23167.89.112.22/32167.89.112.22 to 167.89.112.22—1
24167.89.112.23/32167.89.112.23 to 167.89.112.23—1
25167.89.112.24/32167.89.112.24 to 167.89.112.24—1
26167.89.112.25/32167.89.112.25 to 167.89.112.25—1
27167.89.112.26/32167.89.112.26 to 167.89.112.26—1
28167.89.112.27/32167.89.112.27 to 167.89.112.27—1
29167.89.112.28/32167.89.112.28 to 167.89.112.28—1
30167.89.112.29/32167.89.112.29 to 167.89.112.29—1
31167.89.112.30/32167.89.112.30 to 167.89.112.30—1
32167.89.112.31/32167.89.112.31 to 167.89.112.31—1
33167.89.112.32/32167.89.112.32 to 167.89.112.32—1
34167.89.112.33/32167.89.112.33 to 167.89.112.33—1
35167.89.112.34/32167.89.112.34 to 167.89.112.34—1
36167.89.112.35/32167.89.112.35 to 167.89.112.35—1
37167.89.112.36/32167.89.112.36 to 167.89.112.36—1
38167.89.112.37/32167.89.112.37 to 167.89.112.37—1
39167.89.112.38/32167.89.112.38 to 167.89.112.38—1
40167.89.112.39/32167.89.112.39 to 167.89.112.39—1
41167.89.112.40/32167.89.112.40 to 167.89.112.40—1
42167.89.112.41/32167.89.112.41 to 167.89.112.41—1
43167.89.112.42/32167.89.112.42 to 167.89.112.42—1
44167.89.112.43/32167.89.112.43 to 167.89.112.43—1
45167.89.112.44/32167.89.112.44 to 167.89.112.44—1
46167.89.112.45/32167.89.112.45 to 167.89.112.45—1
47167.89.112.46/32167.89.112.46 to 167.89.112.46—1
48167.89.112.47/32167.89.112.47 to 167.89.112.47—1
49167.89.112.48/32167.89.112.48 to 167.89.112.48—1
50167.89.112.49/32167.89.112.49 to 167.89.112.49—1
51167.89.112.50/32167.89.112.50 to 167.89.112.50—1
52167.89.112.51/32167.89.112.51 to 167.89.112.51—1
53167.89.112.52/32167.89.112.52 to 167.89.112.52—1
54167.89.112.53/32167.89.112.53 to 167.89.112.53—1
55167.89.112.54/32167.89.112.54 to 167.89.112.54—1
56167.89.112.55/32167.89.112.55 to 167.89.112.55—1
57167.89.112.56/32167.89.112.56 to 167.89.112.56—1
58167.89.112.57/32167.89.112.57 to 167.89.112.57—1
59167.89.112.58/32167.89.112.58 to 167.89.112.58—1
60167.89.112.59/32167.89.112.59 to 167.89.112.59—1
61167.89.112.60/32167.89.112.60 to 167.89.112.60—1
62167.89.112.61/32167.89.112.61 to 167.89.112.61—1
63167.89.112.62/32167.89.112.62 to 167.89.112.62—1
64167.89.112.63/32167.89.112.63 to 167.89.112.63—1
65167.89.112.64/32167.89.112.64 to 167.89.112.64—1
66167.89.112.65/32167.89.112.65 to 167.89.112.65—1
67167.89.112.66/32167.89.112.66 to 167.89.112.66—1
68167.89.112.67/32167.89.112.67 to 167.89.112.67—1
69167.89.112.68/32167.89.112.68 to 167.89.112.68—1
70167.89.112.69/32167.89.112.69 to 167.89.112.69—1
71167.89.112.70/32167.89.112.70 to 167.89.112.70—1
72167.89.112.71/32167.89.112.71 to 167.89.112.71—1
73167.89.112.72/32167.89.112.72 to 167.89.112.72—1
74167.89.112.73/32167.89.112.73 to 167.89.112.73—1
75167.89.112.74/32167.89.112.74 to 167.89.112.74—1
76167.89.112.75/32167.89.112.75 to 167.89.112.75—1
77167.89.112.76/32167.89.112.76 to 167.89.112.76—1
78167.89.112.77/32167.89.112.77 to 167.89.112.77—1
79167.89.112.78/32167.89.112.78 to 167.89.112.78—1
80167.89.112.79/32167.89.112.79 to 167.89.112.79—1
81167.89.112.80/32167.89.112.80 to 167.89.112.80—1
82167.89.112.81/32167.89.112.81 to 167.89.112.81—1
83167.89.112.82/32167.89.112.82 to 167.89.112.82—1
84167.89.112.83/32167.89.112.83 to 167.89.112.83—1
85167.89.112.84/32167.89.112.84 to 167.89.112.84—1
86167.89.112.85/32167.89.112.85 to 167.89.112.85—1
87167.89.112.86/32167.89.112.86 to 167.89.112.86—1
88167.89.112.87/32167.89.112.87 to 167.89.112.87—1
89167.89.112.88/32167.89.112.88 to 167.89.112.88—1
90167.89.112.89/32167.89.112.89 to 167.89.112.89—1
91167.89.112.90/32167.89.112.90 to 167.89.112.90—1
92167.89.112.91/32167.89.112.91 to 167.89.112.91—1
93167.89.112.92/32167.89.112.92 to 167.89.112.92—1
94167.89.112.93/32167.89.112.93 to 167.89.112.93—1
95167.89.112.94/32167.89.112.94 to 167.89.112.94—1
96167.89.112.95/32167.89.112.95 to 167.89.112.95—1
97167.89.112.96/32167.89.112.96 to 167.89.112.96—1
98167.89.112.97/32167.89.112.97 to 167.89.112.97—1
99167.89.112.98/32167.89.112.98 to 167.89.112.98—1
100167.89.112.99/32167.89.112.99 to 167.89.112.99—1
101167.89.112.100/32167.89.112.100 to 167.89.112.100—1
102167.89.112.101/32167.89.112.101 to 167.89.112.101—1
103167.89.112.102/32167.89.112.102 to 167.89.112.102—1
104167.89.112.103/32167.89.112.103 to 167.89.112.103—1
105167.89.112.104/32167.89.112.104 to 167.89.112.104—1
106167.89.112.105/32167.89.112.105 to 167.89.112.105—1
107167.89.112.106/32167.89.112.106 to 167.89.112.106—1
108167.89.112.107/32167.89.112.107 to 167.89.112.107—1
109167.89.112.108/32167.89.112.108 to 167.89.112.108—1
110167.89.112.109/32167.89.112.109 to 167.89.112.109—1
111167.89.112.110/32167.89.112.110 to 167.89.112.110—1
112167.89.112.111/32167.89.112.111 to 167.89.112.111—1
113167.89.112.112/32167.89.112.112 to 167.89.112.112—1
114167.89.112.113/32167.89.112.113 to 167.89.112.113—1
115167.89.112.114/32167.89.112.114 to 167.89.112.114—1
116167.89.112.115/32167.89.112.115 to 167.89.112.115—1
117167.89.112.116/32167.89.112.116 to 167.89.112.116—1
118167.89.112.117/32167.89.112.117 to 167.89.112.117—1
119167.89.112.118/32167.89.112.118 to 167.89.112.118—1
120167.89.112.119/32167.89.112.119 to 167.89.112.119—1
121167.89.112.120/32167.89.112.120 to 167.89.112.120—1
122167.89.112.121/32167.89.112.121 to 167.89.112.121—1
123167.89.112.122/32167.89.112.122 to 167.89.112.122—1
124167.89.112.123/32167.89.112.123 to 167.89.112.123—1
125167.89.112.124/32167.89.112.124 to 167.89.112.124—1
126167.89.112.125/32167.89.112.125 to 167.89.112.125—1
127167.89.112.126/32167.89.112.126 to 167.89.112.126—1
128167.89.112.127/32167.89.112.127 to 167.89.112.127—1
129167.89.112.128/32167.89.112.128 to 167.89.112.128—1
130167.89.112.129/32167.89.112.129 to 167.89.112.129—1
131167.89.112.130/32167.89.112.130 to 167.89.112.130—1
132167.89.112.131/32167.89.112.131 to 167.89.112.131—1
133167.89.112.132/32167.89.112.132 to 167.89.112.132—1
134167.89.112.133/32167.89.112.133 to 167.89.112.133—1
135167.89.112.134/32167.89.112.134 to 167.89.112.134—1
136167.89.112.135/32167.89.112.135 to 167.89.112.135—1
137167.89.112.136/32167.89.112.136 to 167.89.112.136—1
138167.89.112.137/32167.89.112.137 to 167.89.112.137—1
139167.89.112.138/32167.89.112.138 to 167.89.112.138—1
140167.89.112.139/32167.89.112.139 to 167.89.112.139—1
141167.89.112.140/32167.89.112.140 to 167.89.112.140—1
142167.89.112.141/32167.89.112.141 to 167.89.112.141—1
143167.89.112.142/32167.89.112.142 to 167.89.112.142—1
144167.89.112.143/32167.89.112.143 to 167.89.112.143—1
145167.89.112.144/32167.89.112.144 to 167.89.112.144—1
146167.89.112.145/32167.89.112.145 to 167.89.112.145—1
147167.89.112.146/32167.89.112.146 to 167.89.112.146—1
148167.89.112.147/32167.89.112.147 to 167.89.112.147—1
149167.89.112.148/32167.89.112.148 to 167.89.112.148—1
150167.89.112.149/32167.89.112.149 to 167.89.112.149—1
151167.89.112.150/32167.89.112.150 to 167.89.112.150—1
152167.89.112.151/32167.89.112.151 to 167.89.112.151—1
153167.89.112.152/32167.89.112.152 to 167.89.112.152—1
154167.89.112.153/32167.89.112.153 to 167.89.112.153—1
155167.89.112.154/32167.89.112.154 to 167.89.112.154—1
156167.89.112.155/32167.89.112.155 to 167.89.112.155—1
157167.89.112.156/32167.89.112.156 to 167.89.112.156—1
158167.89.112.157/32167.89.112.157 to 167.89.112.157—1
159167.89.112.158/32167.89.112.158 to 167.89.112.158—1
160167.89.112.159/32167.89.112.159 to 167.89.112.159—1
161167.89.112.160/32167.89.112.160 to 167.89.112.160—1
162167.89.112.161/32167.89.112.161 to 167.89.112.161—1
163167.89.112.162/32167.89.112.162 to 167.89.112.162—1
164167.89.112.163/32167.89.112.163 to 167.89.112.163—1
165167.89.112.164/32167.89.112.164 to 167.89.112.164—1
166167.89.112.165/32167.89.112.165 to 167.89.112.165—1
167167.89.112.166/32167.89.112.166 to 167.89.112.166—1
168167.89.112.167/32167.89.112.167 to 167.89.112.167—1
169167.89.112.168/32167.89.112.168 to 167.89.112.168—1
170167.89.112.169/32167.89.112.169 to 167.89.112.169—1
171167.89.112.170/32167.89.112.170 to 167.89.112.170—1
172167.89.112.171/32167.89.112.171 to 167.89.112.171—1
173167.89.112.172/32167.89.112.172 to 167.89.112.172—1
174167.89.112.173/32167.89.112.173 to 167.89.112.173—1
175167.89.112.174/32167.89.112.174 to 167.89.112.174—1
176167.89.112.175/32167.89.112.175 to 167.89.112.175—1
177167.89.112.176/32167.89.112.176 to 167.89.112.176—1
178167.89.112.177/32167.89.112.177 to 167.89.112.177—1
179167.89.112.178/32167.89.112.178 to 167.89.112.178—1
180167.89.112.179/32167.89.112.179 to 167.89.112.179—1
181167.89.112.180/32167.89.112.180 to 167.89.112.180—1
182167.89.112.181/32167.89.112.181 to 167.89.112.181—1
183167.89.112.182/32167.89.112.182 to 167.89.112.182—1
184167.89.112.183/32167.89.112.183 to 167.89.112.183—1
185167.89.112.184/32167.89.112.184 to 167.89.112.184—1
186167.89.112.185/32167.89.112.185 to 167.89.112.185—1
187167.89.112.186/32167.89.112.186 to 167.89.112.186—1
188167.89.112.187/32167.89.112.187 to 167.89.112.187—1
189167.89.112.188/32167.89.112.188 to 167.89.112.188—1
190167.89.112.189/32167.89.112.189 to 167.89.112.189—1
191167.89.112.190/32167.89.112.190 to 167.89.112.190—1
192167.89.112.191/32167.89.112.191 to 167.89.112.191—1
193167.89.112.192/32167.89.112.192 to 167.89.112.192—1
194167.89.112.193/32167.89.112.193 to 167.89.112.193—1
195167.89.112.194/32167.89.112.194 to 167.89.112.194—1
196167.89.112.195/32167.89.112.195 to 167.89.112.195—1
197167.89.112.196/32167.89.112.196 to 167.89.112.196—1
198167.89.112.197/32167.89.112.197 to 167.89.112.197—1
199167.89.112.198/32167.89.112.198 to 167.89.112.198—1
200167.89.112.199/32167.89.112.199 to 167.89.112.199—1
201167.89.112.200/32167.89.112.200 to 167.89.112.200—1
202167.89.112.201/32167.89.112.201 to 167.89.112.201—1
203167.89.112.202/32167.89.112.202 to 167.89.112.202—1
204167.89.112.203/32167.89.112.203 to 167.89.112.203—1
205167.89.112.204/32167.89.112.204 to 167.89.112.204—1
206167.89.112.205/32167.89.112.205 to 167.89.112.205—1
207167.89.112.206/32167.89.112.206 to 167.89.112.206—1
208167.89.112.207/32167.89.112.207 to 167.89.112.207—1
209167.89.112.208/32167.89.112.208 to 167.89.112.208—1
210167.89.112.209/32167.89.112.209 to 167.89.112.209—1
211167.89.112.210/32167.89.112.210 to 167.89.112.210—1
212167.89.112.211/32167.89.112.211 to 167.89.112.211—1
213167.89.112.212/32167.89.112.212 to 167.89.112.212—1
214167.89.112.213/32167.89.112.213 to 167.89.112.213—1
215167.89.112.214/32167.89.112.214 to 167.89.112.214—1
216167.89.112.215/32167.89.112.215 to 167.89.112.215—1
217167.89.112.216/32167.89.112.216 to 167.89.112.216—1
218167.89.112.217/32167.89.112.217 to 167.89.112.217—1
219167.89.112.218/32167.89.112.218 to 167.89.112.218—1
220167.89.112.219/32167.89.112.219 to 167.89.112.219—1
221167.89.112.220/32167.89.112.220 to 167.89.112.220—1
222167.89.112.221/32167.89.112.221 to 167.89.112.221—1
223167.89.112.222/32167.89.112.222 to 167.89.112.222—1
224167.89.112.223/32167.89.112.223 to 167.89.112.223—1
225167.89.112.224/32167.89.112.224 to 167.89.112.224—1
226167.89.112.225/32167.89.112.225 to 167.89.112.225—1
227167.89.112.226/32167.89.112.226 to 167.89.112.226—1
228167.89.112.227/32167.89.112.227 to 167.89.112.227—1
229167.89.112.228/32167.89.112.228 to 167.89.112.228—1
230167.89.112.229/32167.89.112.229 to 167.89.112.229—1
231167.89.112.230/32167.89.112.230 to 167.89.112.230—1
232167.89.112.231/32167.89.112.231 to 167.89.112.231—1
233167.89.112.232/32167.89.112.232 to 167.89.112.232—1
234167.89.112.233/32167.89.112.233 to 167.89.112.233—1
235167.89.112.234/32167.89.112.234 to 167.89.112.234—1
236167.89.112.235/32167.89.112.235 to 167.89.112.235—1
237167.89.112.236/32167.89.112.236 to 167.89.112.236—1
238167.89.112.237/32167.89.112.237 to 167.89.112.237—1
239167.89.112.238/32167.89.112.238 to 167.89.112.238—1
240167.89.112.239/32167.89.112.239 to 167.89.112.239—1
241167.89.112.240/32167.89.112.240 to 167.89.112.240—1
242167.89.112.241/32167.89.112.241 to 167.89.112.241—1
243167.89.112.242/32167.89.112.242 to 167.89.112.242—1
244167.89.112.243/32167.89.112.243 to 167.89.112.243—1
245167.89.112.244/32167.89.112.244 to 167.89.112.244—1
246167.89.112.245/32167.89.112.245 to 167.89.112.245—1
247167.89.112.246/32167.89.112.246 to 167.89.112.246—1
248167.89.112.247/32167.89.112.247 to 167.89.112.247—1
249167.89.112.248/32167.89.112.248 to 167.89.112.248—1
250167.89.112.249/32167.89.112.249 to 167.89.112.249—1
251167.89.112.250/32167.89.112.250 to 167.89.112.250—1
252167.89.112.251/32167.89.112.251 to 167.89.112.251—1
253167.89.112.252/32167.89.112.252 to 167.89.112.252—1
254167.89.112.253/32167.89.112.253 to 167.89.112.253—1
255167.89.112.254/32167.89.112.254 to 167.89.112.254—1
256167.89.112.255/32167.89.112.255 to 167.89.112.255—1

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses